<?php  
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT" );
header("Last-Modified: " . gmdate( "D, d M Y H:i:s" ) . "GMT" );
header("Cache-Control: no-cache, must-revalidate" );
header("Pragma: no-cache" );
header("Content-type: text/x-json");
include($_SERVER['DOCUMENT_ROOT'] .'/script/HeaderInc.php');
if('XMLHttpRequest' == $_SERVER['HTTP_X_REQUESTED_WITH']) {
  $ObjJqGridMod = new JqGridMod();
  $ObjJqGridMod->SetArrayIn($_GET);
  $VarWhere = '';
  if (true === isset($_GET['svtstatus_id']) && (true === is_numeric($_GET['svtstatus_id']))){
    $VarWhere .= ' AND f.svtstatus_id = "'. $_GET['svtstatus_id'] .'"';
    $SqlName = 'StatusVal';
  }
  if (true === isset($_GET['po_id']) && (true === is_numeric($_GET['po_id']))){
    $VarWhere .= ' AND sp.po_id = "'. $_GET ['po_id'] .'"';
    $SqlName = 'Po';
  }
  if(true === isset($_GET['_search']) && 'true' == $_GET['_search']){
    if(true === isset($ObjJqGridMod->filters) && '' != $ObjJqGridMod->filters){
      $VarWhere .= ' AND '. $ObjJqGridMod->generateSearchStringFromFilter();
    }
    if(true === isset($ObjJqGridMod->searchField) && '' != $ObjJqGridMod->searchField){
      $VarWhere .= ' AND '. $ObjJqGridMod->generateSearchStringFromSearchField();
    }
  }
  $VarWhere = SiteLibs::StripAndOrFirst($VarWhere);
  $VarOrder = $ObjJqGridMod->GetOrder();
  $VarLimit = $ObjJqGridMod->GetLimit();
  $ObjSvtMod = new SvtMod($MS_SP);
  $count = $ObjSvtMod->GetFromDb('Sql'. $SqlName .'Count', 'GetOne', $VarWhere);
  $total_pages = $ObjJqGridMod->GetTotalPages($count);
  $page = $ObjJqGridMod->GetPage();
  $ArrSvt = $ObjSvtMod->GetFromDb('Sql'. $SqlName .'All', 'GetAll', $VarWhere, $VarOrder, $VarLimit);
  //SiteLibs::GetVarDump($ArrSvt);
  $ArrFields = array();
  foreach ($ArrSvt AS $key => $row){
    $VarName = '';
    if(true === isset($row['svt_name']) && '' != $row['svt_name']){
      $VarName = '<a target="_blank" class="ui-state-default" href="/'. $MS_SP->Sp_PathTop .'/SvtInformation.php?svt_id='. $row['svt_id'] .'">'. $row['svt_name'] .'</a>';
    }
    $ArrFields[$key]['id'] = $row['svt_id'];
    $ArrFields[$key]['cell'][] = $VarName.'';
//    $ArrFields[$key]['cell'][] = $row['ip_name'].'';
    $ArrFields[$key]['cell'][] = $row['svt_buxname'].'';
    $ArrFields[$key]['cell'][] = $row['svttype_name'].'';
    $ArrFields[$key]['cell'][] = $row['svt_invnum'].'';
    $ArrFields[$key]['cell'][] = $row['svt_serialnum'].'';
    $ArrFields[$key]['cell'][] = $row['structureorganization_title'].'';
    $ArrFields[$key]['cell'][] = $row['users_fio'].'';
    $ArrFields[$key]['cell'][] = $row['organiz_name'].'';
    $ArrFields[$key]['cell'][] = $row['svt_date'].'';
    $ArrFields[$key]['cell'][] = $row['svt_garant_date'].'';
    $ArrFields[$key]['cell'][] = $row['svt_note'].'';
  }
  $json = array("page" => $page, "total" => $total_pages, "records" => $count,"rows" => $ArrFields);
  echo json_encode($json);
}
include($_SERVER['DOCUMENT_ROOT'] .'/script/FooterInc.php');
?>